package co.yixiang.yshop.module.member.convert.userlevelequity;

import java.util.*;

import co.yixiang.yshop.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import co.yixiang.yshop.module.member.controller.admin.userlevelequity.vo.*;
import co.yixiang.yshop.module.member.dal.dataobject.userlevelequity.UserLevelEquityDO;

/**
 * 会员等级权益配置 Convert
 *
 * @author admin
 */
@Mapper
public interface UserLevelEquityConvert {

    UserLevelEquityConvert INSTANCE = Mappers.getMapper(UserLevelEquityConvert.class);

    UserLevelEquityDO convert(UserLevelEquityCreateReqVO bean);

    UserLevelEquityDO convert(UserLevelEquityUpdateReqVO bean);

    UserLevelEquityRespVO convert(UserLevelEquityDO bean);

    List<UserLevelEquityRespVO> convertList(List<UserLevelEquityDO> list);

    PageResult<UserLevelEquityRespVO> convertPage(PageResult<UserLevelEquityDO> page);

    List<UserLevelEquityExcelVO> convertList02(List<UserLevelEquityDO> list);

}
